Subject: Re: [PATCH V6 mlx5-next 10/15] vfio: Remove migration protocol v1

From: Cornelia Huck <[email-masked]>
Date: Wed, 02 Feb 2022 12:34:31 +0100

On Tue, Feb 01 2022, Jason Gunthorpe <[email-masked]> wrote:

> On Tue, Feb 01, 2022 at 03:19:18PM +0100, Cornelia Huck wrote:
>> (- also continue to get the documentation into good shape)
>
> Which items do you see here?

Well, it still needs to be updated, no?

>
>> - have an RFC for QEMU that contains a provisional update of the
>>   relevant vfio headers so that we can discuss the QEMU side (and maybe
>>   shoot down any potential problems in the uapi before they are merged
>>   in the kernel)
>
> This qemu patch is linked in the cover letter.

The QEMU changes need to be discussed on qemu-devel, a link to a git
tree with work in progress only goes so far.

(From my quick look there, this needs to have any headers changes split
out into a separate patch. The changes in migration.c are hard to
review; is there any chance to split the error path cleanups from the
interface changes?)